summaryrefslogtreecommitdiffstats
path: root/system/zstd
diff options
context:
space:
mode:
author Zhu Qun-Ying <zhu.qunying@gmail.com>2019-10-26 18:16:56 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-10-26 18:51:55 +0700
commite3501eb195a1d2735875e459773aa178b26fc656 (patch)
tree6fea7aa22a4000bf64a7ea15aec9975812462446 /system/zstd
parent24dac98049c607caa2ee947c81cc41a2ee9957e6 (diff)
downloadslackbuilds-e3501eb195a1d2735875e459773aa178b26fc656.tar.gz
slackbuilds-e3501eb195a1d2735875e459773aa178b26fc656.tar.xz
system/zstd: Updated for version 1.4.3.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/zstd')
-rw-r--r--system/zstd/slack-desc24
-rw-r--r--system/zstd/zstd.SlackBuild31
-rw-r--r--system/zstd/zstd.dont.link.pzstd.to.static.libzstd.a.diff.gzbin0 -> 325 bytes
-rw-r--r--system/zstd/zstd.info6
4 files changed, 40 insertions, 21 deletions
diff --git a/system/zstd/slack-desc b/system/zstd/slack-desc
index 77578cc136..215674d549 100644
--- a/system/zstd/slack-desc
+++ b/system/zstd/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.
-# Line up the first '|' above the ':' following the base package name, and
-# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-zstd: zstd (fast lossless compression)
-zstd:
-zstd: Zstd, short for Zstandard, is a fast lossless compression algorithm,
-zstd: targeting real-time compression scenarios at zlib-level and better
-zstd: compression ratios.
-zstd:
-zstd: Homepage: http://facebook.github.io/zstd/
-zstd:
+zstd: zstd (real-time compression algorithm)
zstd:
+zstd: Zstandard, or zstd for short, is a real-time compression algorithm
+zstd: providing high compression ratios. It offers a very wide range of
+zstd: compression/speed trade-off, while being backed by a very fast
+zstd: decoder. It also offers a special mode for small data, called
+zstd: dictionary compression, and can create dictionaries from any sample
+zstd: set.
zstd:
+zstd: Homepage: http://zstd.net/
zstd:
diff --git a/system/zstd/zstd.SlackBuild b/system/zstd/zstd.SlackBuild
index b00f9d9ef9..ae1f722417 100644
--- a/system/zstd/zstd.SlackBuild
+++ b/system/zstd/zstd.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for zstd
-# Copyright 2016, Zhu Qun-Ying
+# Copyright 2016-2019, Zhu Qun-Ying
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=zstd
-VERSION=${VERSION:-1.3.8}
+VERSION=${VERSION:-1.4.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -62,6 +62,7 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
+zcat $CWD/zstd.dont.link.pzstd.to.static.libzstd.a.diff.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -69,15 +70,33 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-make CFLAGS="$SLKCFLAGS" DESTDIR=$PKG PREFIX=/usr LIBDIR=/usr/lib$LIBDIRSUFFIX mandir=/usr/man/ install
-make -C contrib/pzstd DESTDIR=$PKG PREFIX=/usr install
+# Compile it:
+make CFLAGS="$SLKCFLAGS"
+make CFLAGS="$SLKCFLAGS" -C contrib/pzstd
+
+# Install it:
+make \
+ prefix=/usr \
+ libdir=/usr/lib${LIBDIRSUFFIX} \
+ mandir=/usr/man \
+ DESTDIR=$PKG \
+ install
+install -Dm755 contrib/pzstd/pzstd $PKG/usr/bin/pzstd
+
+# Don't ship static library:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.a
+
+# zstdmt as the same as zstd, so just make a symlink:
+( cd $PKG/usr/bin
+ ln -sf zstd zstdmt
+)
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/pzstd
-cp -a doc/* CHANGELOG $PKG/usr/doc/$PRGNAM-$VERSION
-cp contrib/pzstd/README.md $PKG/usr/doc/$PRGNAM-$VERSION/pzstd
+cp -a CONTRIBUTING* COPYING* LICENSE README* doc $PKG/usr/doc/$PRGNAM-$VERSION
+cp contrib/pzstd/README.md $PKG/usr/doc/$PRGNAM-$VERSION/pzstd-README.md
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/system/zstd/zstd.dont.link.pzstd.to.static.libzstd.a.diff.gz b/system/zstd/zstd.dont.link.pzstd.to.static.libzstd.a.diff.gz
new file mode 100644
index 0000000000..3e5d5d7c32
--- /dev/null
+++ b/system/zstd/zstd.dont.link.pzstd.to.static.libzstd.a.diff.gz
Binary files differ
diff --git a/system/zstd/zstd.info b/system/zstd/zstd.info
index 510c871bc3..df79e495b1 100644
--- a/system/zstd/zstd.info
+++ b/system/zstd/zstd.info
@@ -1,8 +1,8 @@
PRGNAM="zstd"
-VERSION="1.3.8"
+VERSION="1.4.3"
HOMEPAGE="http://facebook.github.io/zstd/"
-DOWNLOAD="https://github.com/facebook/zstd/releases/download/v1.3.8/zstd-1.3.8.tar.gz"
-MD5SUM="c261c29f896eb97946c225295485156b"
+DOWNLOAD="https://github.com/facebook/zstd/releases/download/v1.4.3/zstd-1.4.3.tar.gz"
+MD5SUM="395fd3db09c02d2410852f44cde91e33"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""